/*
	MSFile.h
	
	Version 3.1
	
	Copyright  1995 Apple Computer, Inc., all rights reserved.
	
	MenuScripter by Nigel Humphreys and Jon Lansdell
	AppleEvent to script extensions by Greg Sutton
*/

#ifndef __MSFILE__
#define __MSFILE__

#include <Memory.h>
#include <Quickdraw.h>
#include <Traps.h>
#include <Files.h>
#include <StandardFile.h>
#include <StandardFile.h>
#include <Packages.h>
#include <AppleEvents.h>
#include <Printing.h>
#include <Aliases.h>

#include "MSGlobals.h"
#include "MSUtils.h"
#include "MSWindow.h"
				 
pascal void DoQuit(DescType saveOpt);

pascal OSErr DoClose(WindowPtr aWindow,Boolean canInteract,DescType dialogAnswer);

pascal OSErr GetFileNameToSaveAs(DPtr theDocument);

pascal OSErr DoSave(DPtr theDocument, FSSpec theFSSpec);

pascal OSErr GetFileContents(FSSpec theFSSpec, DPtr theDocument);

pascal void FileError(Str255 s, Str255 f);

pascal OSErr SaveUsingTemp(DPtr theDocument);

pascal OSErr OpenOld(FSSpec aFSSpec);

pascal OSErr OpenUsingAlias(AliasHandle theAliasH);

pascal OSErr GetFile(FSSpec *theFSSpec);

#endif