/*
	MSGlobals.c
	
	Version 3.1
	
	Copyright  1995 Apple Computer, Inc., all rights reserved.
	
	MenuScripter by Nigel Humphreys and Jon Lansdell
	AppleEvent to script extensions by Greg Sutton
*/

#define __COMPGLOBALS__

#include "MSGlobals.h"

#if defined(powerc) && !defined(__MWERKS__) // MetroWerks declares "qd" in their runtime
	QDGlobals	qd;
#endif

ControlActionUPP gScrollScriptVActionUPP;	/* support the Universal Interfaces */
ControlActionUPP gScrollDocVActionUPP;
ControlActionUPP gScrollDocHActionUPP;
ControlActionUPP gDrawStyledTextUPP;
ControlActionUPP gDrawScrollBarUPP;

short      gWCount;
short      gNewDocCount;
MenuHandle myMenus[kLastMenu+1];
short      gFontMItem;
Boolean    gQuitting;
Cursor     editCursor;
Cursor     waitCursor;
Boolean    gInBackground;

AEIdleUPP	gAEIdleUPP;
  
  /*now for the environment variables set up by Gestalt*/
  
Boolean    gGestaltAvailable;
Boolean    gAppleEventsImplemented;
Boolean    gAliasManagerImplemented;
Boolean    gOutlineFontsImplemented;
