/*
	MSAEScript.h
	
	Version 3.1
	
	Copyright  1995 Apple Computer, Inc., all rights reserved.
	
	MenuScripter by Nigel Humphreys and Jon Lansdell
	AppleEvent to script extensions by Greg Sutton
*/

#ifndef __MSAESCRIPT__
#define __MSAESCRIPT__

#ifndef __MSGLOBALS__
#include "MSGlobals.h"
#endif

pascal OSErr	GetVolumeAndDirectory(void);
pascal OSErr	FSSpecLaunchApplication(const FSSpec *fileSpec,ProcessSerialNumber *PSN);
pascal void 	SetUpScripts(void);
pascal OSErr	LoadScriptFromFile(FSSpec *fileSpec, OSAID *theScriptID);
pascal OSErr	StoreScriptToFile(FSSpec *fileSpec, OSAID theScriptID);
pascal OSErr 	CleanUpAEScripts(void);
pascal OSErr	ExecuteScript1(DPtr theDoc);
pascal OSErr	ExecuteScript2(DPtr theDoc);
pascal OSErr	ExecuteScript3(DPtr theDoc);
pascal OSErr	ExecuteScript4(DPtr theDoc);

pascal	OSErr	GetTextDescFromReply(AEDesc *aReply, AEDesc *textDesc);
pascal	OSErr	GetSelection(AEDesc *textDesc);
pascal	OSErr	SetSelection(AEDesc *textDesc);

pascal void     EnableAEScriptItems(Boolean fEnable);


#endif
